DESCRIPTION = "a modern 3D graphics API with associated utility APIs"
HOMEPAGE = "http://wiki.clutter-project.org/wiki/Cogl"
LICENSE = "LGPLv2.1+"

STDDEPENDS = "glib-2.0 gdk-pixbuf"
BASE_CONF = "${@get_clutter_fpu_setting(bb, d)}"

DEPENDS = "${STDDEPENDS} virtual/libgl pango lttng-ust lttng-ust-gen-tp-native"
PLATFORM_CONF = "--enable-gles2 --disable-gl --disable-glx --enable-nexus-egl-platform"
PLATFORM_CONF_qemux86 = "--enable-gl --enable-gles2 --enable-glx"
PLATFORM_CONF_cheetah-tests = "--enable-gl --enable-gles2 --disable-glx --enable-null-egl-platform"
PLATFORM_CONF_cheetah-x11 = "--enable-gl --enable-gles2 --enable-glx"
EXTRA_OECONF = "${BASE_CONF} ${PLATFORM_CONF} --enable-debug --enable-cogl-pango --disable-cairo --enable-deprecated"

FILESPATH = "${FILE_DIRNAME}/cogl"

inherit autotools pkgconfig gtk-doc gettext gnomebase
GNOME_COMPRESS_TYPE = "xz"

GTKDOC_DOCDIR = "${S}"

#check for TARGET_FPU=soft and inform configure of the result so it can disable some floating points
require clutter-fpu.inc
