PV = "1.3.11+3+stone+20150417T150933+e17898b-bs"
SRC_URI = "http://should-already-by-in-dl-dir/webkit-clutter-1.3.11+3+stone+20150417T150933+e17898b-bs.tar.gz"
SRC_URI[md5sum] = "dee61477a3d5a4b0868311220cf24de0"
SRC_URI[sha256sum] = "d3e294d9e94b29a70cc60ba43f8b9bf277ea877bb6248473e3e998d6ae90e335"
inherit nfsquick

DESCRIPTION = "Webkit browser engine, Clutter edition"
LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Source/WebKit/LICENSE;md5=4646f90082c40bcf298c285f8bab0b12 \
                    file://Source/JavaScriptCore/COPYING.LIB;md5=d0c6d6397a5d84286dda758da57bd691"

DEPENDS = "icu libxslt sqlite3 gperf-native bison-native flex-native jpeg \
           libpng fontconfig cairo freetype glib-2.0 libsoup-2.4 \
           libxml2 pango clutter perl-native enchant autoconf-archive \
	   directfb boost libwebp gstreamer1.0 gstreamer1.0-plugins-base \
	   lttng-ust lttng-ust-gen-tp-native"

PROVIDES = "virtual/webkit"

WK_DEBUG ?= "0"
WK_DEBUG_SUFFIX = "${@base_conditional('WK_DEBUG', '1', '-wkd', '', d)}"

PR = "r10"

# We need to rebuild if the Clutter ABI changes
require recipes-bs/clutter-egl/clutter_abi_version.inc


RDEPENDS_${PN} += "glib-networking"

# Add our special inspector page to dependencies
FILES_${PN} += "/opt/roku/www/webinspector/*.html"

CXXFLAGS += "-fpermissive"

inherit lib_package pkgconfig perlnative autotools

do_compile() {
	mkdir -p DerivedSources/WebCore DerivedSources/webkit DerivedSources/ANGLE DerivedSources/webkitdom
	oe_runmake
}

do_install_append() {
	install -d -m 0755 ${D}${bindir}
#	install -m 0755 Programs/ClutterLauncher ${D}${bindir}/
	install -m 0755 Programs/jsc ${D}${bindir}/
#	install -m 0755 Programs/DumpRenderTree ${D}${bindir}/
	install -d -m 0755 ${D}${includedir}/webkit_clutter-0/wtf
	install -m 0644 ${S}/Source/WTF/wtf/*.h ${D}${includedir}/webkit_clutter-0/wtf/
	install -m 0644 ${S}/Source/WebKit/gtk/webkit/webkitwebframe.h ${D}${includedir}/webkit_clutter-0/webkit/
	install -m 0644 ${S}/Source/WebCore/platform/graphics/clutter/BrightsignMediaGlue.h ${D}${includedir}/webkit_clutter-0/webkit/
	install -m 0644 ${S}/Source/WebCore/brightscript/BrightsignJavascriptGlueFactory.h ${D}${includedir}/webkit_clutter-0/webkit/
	install -m 0644 ${S}/Source/WebCore/brightscript/BrightsignJavascriptFactoryHolder.h ${D}${includedir}/webkit_clutter-0/webkit/
	install -m 0644 ${S}/Source/WebCore/platform/graphics/clutter/ClutterRefreshClient.h ${D}${includedir}/webkit_clutter-0/webkit/

	install -d -m 0755 ${D}/opt/roku/www/webinspector
	install -m 0755 ${S}/Source/WebKit2/UIProcess/InspectorServer/front-end/inspectorPageIndex.html ${D}/opt/roku/www/webinspector
}

ENABLE_JIT = "--enable-jit"
ENABLE_JIT_tiger = "--disable-jit"

EXTRA_OECONF = "--with-port=clutter --disable-glibtest --with-target=egl --disable-geolocation --enable-video --enable-accelerated-compositing ${ENABLE_JIT} --disable-spellcheck --enable-touch-events --disable-gtk-doc-html --with-acceleration-backend=clutter --disable-credential-storage --disable-icon-database"

EXTRA_OECONF_append = " --disable-x11-target ${@base_conditional('WK_DEBUG', '1', ' --enable-debug', '', d)}"
EXTRA_OECONF_append_cheetah-x11 = " --enable-x11-target --enable-debug"

FILES_${PN} += "${datadir}/webkit_clutter-0 ${datadir}/webkitgtk-"

