DESCRIPTION = "GNU libmicrohttpd is a small C library that is supposed to make it easy to run an HTTP server as part of another application."
HOMEPAGE = "http://www.gnu.org/s/libmicrohttpd"
SECTION = "libs"
SRC_URI = "ftp://ftp.heanet.ie/mirrors/gnu/libmicrohttpd/libmicrohttpd-${PV}.tar.gz \
           file://libmicrohttpd-${PV}-join-timeout.patch \
"
SRC_URI[md5sum] = "bdac9b62fa3080890f9ab44cf29749fc"
SRC_URI[sha256sum] = "81901d512a3f60e7ed606efd68b55a8135eb5357b99ee6fcbc5ffef12a7ae1c5"

# It's actually dual licensed but let's use it under LGPLv2.1
LICENSE = "LGPLv2.1"
S = "${WORKDIR}/libmicrohttpd-${PV}"
PR = "r1"

LIC_FILES_CHKSUM = "file://COPYING;md5=9331186f4f80db7da0e724bdd6554ee5"

inherit autotools

# libcurl is only required for testing. Since we don't depend on it
# we'd better disable its use otherwise we'll get random build
# failures if bitbake decides to build it in parallel.
EXTRA_OECONF = "--enable-shared=yes --enable-static=no --disable-https --enable-messages --disable-curl"
