require net-snmp.inc
PR = "${INC_PR}.0bs6"
LIC_FILES_CHKSUM = "file://README;beginline=3;endline=8;md5=7f7f00ba639ac8e8deb5a622ea24634e"

SRC_URI = "${SOURCEFORGE_MIRROR}/net-snmp/net-snmp-${PV}.tar.gz \
        file://init \
        file://snmpd.conf \
        file://snmptrapd.conf \
	file://netlink.patch \
	file://no-valgrind.patch \
	file://net-snmp-5.7.1-config.patch"

EXTRA_OECONF += "--with-persistent-directory=/var/lib/snmp \
		--without-openssl \
	     	--disable-embedded-perl \
		--enable-ucd-snmp-compatibility \
		--enable-shared \
		--disable-static \
		--without-rpm \
		--without-perl-modules \
		--without-dmalloc \
		--without-efence \
		--without-rsaref \
		--with-sys-contact="root" \
		--with-sys-location="Unknown" \
		--with-mib-modules=agentx \
		--with-out-transports="IPX" \
		--with-defaults \
		--disable-debugging \
		--enable-mini-agent \
		--enable-ipv6 \
		--without-kmem-usage"
	     	
EXTRA_OEMAKE = "INSTALL_PREFIX=${D}"

do_configure_prepend() {
        gnu-configize -f
        # We better change sources and re-autoconf here, but
        # required autoconf is too new for us.
        sed -e '/echo.*\".*\\\\.*\"/s/echo/echo -e/g' \
            -e 's/tail -1/tail -n 1/g'                \
            -i configure
}

do_install_append() {
	install -m 0644 "${S}/EXAMPLE.conf" "${D}${sysconfdir}/snmp/snmpd.conf"
	mkdir -p ${D}${localstatedir}/lib/
	ln -sf ../volatile/snmp ${D}${localstatedir}/lib/snmp
}

PARALLEL_MAKE = ""
CCACHE = ""

SRC_URI[md5sum] = "c95d08fd5d93df0c11a2e1bdf0e01e0b"
SRC_URI[sha256sum] = "7c71c9650c65b715356547e20ca2dbe6313944278af8cc19c32a5337f46b181f"
